/* Estilos para el header scroll automático */

/* Estado inicial del header con dark-mode */
.header-gln.dark-mode {
    background-color: #1212122e!important;
    transition: all 0.3s ease-in-out!important;
}

.header-gln.dark-mode .toggle-menu-mobile svg,
.header-gln.dark-mode .link-to-footer svg{
    color: #fff!important;
    fill: #fff!important;
}

/* Transición suave para el header */
.header-gln {
    transition: all 0.3s ease-in-out;
}

/* Logos - Estado después del scroll (dark-mode inactivo) */
.header-gln.dark-mode .logo-mobile-dark-mode,
.header-gln.dark-mode .logo-desktop-dark-mode {
    display: block;
}
.header-gln:not(.dark-mode) .logo-mobile-dark-mode,
.header-gln:not(.dark-mode) .logo-desktop-dark-mode {
    display: none;
}

.header-gln.dark-mode .logo-mobile-light-mode,
.header-gln.dark-mode .logo-desktop-light-mode {
    display: none;
}
.header-gln:not(.dark-mode) .logo-mobile-light-mode,
.header-gln:not(.dark-mode) .logo-desktop-light-mode {
    display: block;
}